import { Combobox as FoundationCombobox, ComboboxOptions } from '@microsoft/fast-foundation';
import { comboboxStyles as styles } from './combobox.styles';
/**
 * Base class for Select
 * @public
 */
export declare class Combobox extends FoundationCombobox {
    /**
     * Whether the combobox has a compact layout or not.
     *
     * @public
     * @remarks
     * HTML Attribute: minimal
     */
    minimal: boolean;
}
/**
 * A function that returns a {@link @microsoft/fast-foundation#Combobox} registration for configuring the component with a DesignSystem.
 * Implements {@link @microsoft/fast-foundation#comboboxTemplate}
 *
 * @public
 * @remarks
 * Generates HTML Element: `<jp-combobox>`
 *
 */
export declare const jpCombobox: (overrideDefinition?: import("@microsoft/fast-foundation").OverrideFoundationElementDefinition<ComboboxOptions> | undefined) => import("@microsoft/fast-foundation").FoundationElementRegistry<ComboboxOptions, import("@microsoft/fast-element").Constructable<import("@microsoft/fast-foundation").FoundationElement>>;
export { styles as comboboxStyles };
