// Copyright (c) Jupyter Development Team.
// Distributed under the terms of the Modified BSD License.
import { __awaiter } from "tslib";
import { test, expect } from '@playwright/test';
test('Default', ({ page }) => __awaiter(void 0, void 0, void 0, function* () {
    yield page.goto('/iframe.html?id=breadcrumb--default');
    expect(yield page.locator('jp-breadcrumb').screenshot()).toMatchSnapshot('breadcrumb-default.png');
}));
test('With Custom Children', ({ page }) => __awaiter(void 0, void 0, void 0, function* () {
    yield page.goto('/iframe.html?id=breadcrumb--with-custom-children');
    expect(yield page.locator('jp-breadcrumb').screenshot()).toMatchSnapshot('breadcrumb-with-custom-children.png');
}));
test('With Start Icon', ({ page }) => __awaiter(void 0, void 0, void 0, function* () {
    yield page.goto('/iframe.html?id=breadcrumb--with-start-icon');
    expect(yield page.locator('jp-breadcrumb').screenshot()).toMatchSnapshot('breadcrumb-with-start-icon.png');
}));
test('With End Icon', ({ page }) => __awaiter(void 0, void 0, void 0, function* () {
    yield page.goto('/iframe.html?id=breadcrumb--with-end-icon');
    expect(yield page.locator('jp-breadcrumb').screenshot()).toMatchSnapshot('breadcrumb-with-end-icon.png');
}));
