// Copyright (c) Jupyter Development Team.
// Distributed under the terms of the Modified BSD License.
import { jpAnchoredRegion } from './anchored-region/index';
import { jpAvatar } from './avatar/index';
import { jpBreadcrumb } from './breadcrumb/index';
import { jpBreadcrumbItem } from './breadcrumb-item/index';
import { jpButton } from './button/index';
import { jpCheckbox } from './checkbox/index';
import { jpCombobox } from './combobox/index';
import { jpDataGrid, jpDataGridCell, jpDataGridRow } from './data-grid/index';
import { jpNumberField } from './number-field/index';
import { jpOption } from './option/index';
import { jpProgress } from './progress/index';
import { jpProgressRing } from './progress-ring/index';
import { jpSearch } from './search/index';
import { jpSelect } from './select/index';
import { jpSlider } from './slider/index';
import { jpSliderLabel } from './slider-label/index';
import { jpTabPanel } from './tab-panel/index';
import { jpTab } from './tab/index';
import { jpTabs } from './tabs/index';
import { jpTextField } from './text-field/index';
import { jpToolbar } from './toolbar/index';
import { jpTooltip } from './tooltip/index';
import { jpTreeItem } from './tree-item/index';
import { jpTreeView } from './tree-view/index';
// export all components
export { jpAnchoredRegion, jpAvatar, jpBreadcrumb, jpBreadcrumbItem, jpButton, jpCheckbox, jpCombobox, jpDataGrid, jpDataGridCell, jpDataGridRow, jpNumberField, jpOption, jpProgress, jpProgressRing, jpSearch, jpSelect, jpSlider, jpSliderLabel, jpTab, jpTabPanel, jpTabs, jpTextField, jpToolbar, jpTooltip, jpTreeItem, jpTreeView };
/**
 * All Jupyter Web Components
 * @public
 * @remarks
 * This object can be passed directly to the Design System's `register` method to
 * statically link and register all available components.
 */
export const allComponents = {
    jpAnchoredRegion,
    jpAvatar,
    jpBreadcrumb,
    jpBreadcrumbItem,
    jpButton,
    jpCheckbox,
    jpCombobox,
    jpDataGrid,
    jpDataGridCell,
    jpDataGridRow,
    jpNumberField,
    jpOption,
    jpProgress,
    jpProgressRing,
    jpSearch,
    jpSelect,
    jpSlider,
    jpSliderLabel,
    jpTab,
    jpTabPanel,
    jpTabs,
    jpTextField,
    jpToolbar,
    jpTooltip,
    jpTreeItem,
    jpTreeView,
    register(container, ...rest) {
        if (!container) {
            // preserve backward compatibility with code that loops through
            // the values of this object and calls them as funcs with no args
            return;
        }
        for (const key in this) {
            if (key === 'register') {
                continue;
            }
            this[key]().register(container, ...rest);
        }
    }
};
