// Copyright (c) Jupyter Development Team.
// Distributed under the terms of the Modified BSD License.
import { __awaiter } from "tslib";
import { test, expect } from '@playwright/test';
test('Default', ({ page }) => __awaiter(void 0, void 0, void 0, function* () {
    yield page.goto('/iframe.html?id=select--default');
    expect(yield page.locator('jp-select').screenshot()).toMatchSnapshot('select-default.png');
}));
test('WithOpen', ({ page }) => __awaiter(void 0, void 0, void 0, function* () {
    yield page.goto('/iframe.html?id=select--with-open');
    expect(yield page.locator('jp-select').screenshot()).toMatchSnapshot('select-with-open.png');
}));
test('WithDisabled', ({ page }) => __awaiter(void 0, void 0, void 0, function* () {
    yield page.goto('/iframe.html?id=select--with-disabled');
    expect(yield page.locator('jp-select').screenshot()).toMatchSnapshot('select-with-disabled.png');
}));
test('WithCustomIndicator', ({ page }) => __awaiter(void 0, void 0, void 0, function* () {
    yield page.goto('/iframe.html?id=select--with-custom-indicator');
    expect(yield page.locator('jp-select').screenshot()).toMatchSnapshot('select-with-custom-indicator.png');
}));
