"use strict";
// Copyright (c) Jupyter Development Team.
// Distributed under the terms of the Modified BSD License.
Object.defineProperty(exports, "__esModule", { value: true });
exports.anchoredRegionStyles = exports.AnchoredRegion = exports.jpAnchoredRegion = void 0;
const fast_foundation_1 = require("@microsoft/fast-foundation");
Object.defineProperty(exports, "AnchoredRegion", { enumerable: true, get: function () { return fast_foundation_1.AnchoredRegion; } });
const fast_components_1 = require("@microsoft/fast-components");
Object.defineProperty(exports, "anchoredRegionStyles", { enumerable: true, get: function () { return fast_components_1.anchoredRegionStyles; } });
/**
 * A function that returns a {@link @microsoft/fast-foundation#AnchoredRegion} registration for configuring the component with a DesignSystem.
 * Implements {@link @microsoft/fast-foundation#anchoredRegionTemplate}
 *
 *
 * @beta
 * @remarks
 * Generates HTML Element: `<jp-anchored-region>`
 */
exports.jpAnchoredRegion = fast_foundation_1.AnchoredRegion.compose({
    baseName: 'anchored-region',
    template: fast_foundation_1.anchoredRegionTemplate,
    styles: fast_components_1.anchoredRegionStyles
});
//# sourceMappingURL=index.js.map