"use strict";
// Copyright (c) Jupyter Development Team.
// Copyright (c) Microsoft Corporation.
// Distributed under the terms of the Modified BSD License.
Object.defineProperty(exports, "__esModule", { value: true });
exports.jpAvatar = exports.avatarStyles = exports.Avatar = void 0;
const fast_components_1 = require("@microsoft/fast-components");
const fast_element_1 = require("@microsoft/fast-element");
const fast_foundation_1 = require("@microsoft/fast-foundation");
var fast_components_2 = require("@microsoft/fast-components");
Object.defineProperty(exports, "Avatar", { enumerable: true, get: function () { return fast_components_2.Avatar; } });
const avatarStyles = (context, definition) => fast_element_1.css `
  ${fast_components_1.avatarStyles(context, definition)}

  .backplate {
    min-width: var(--avatar-size, var(--avatar-size-default));
    background-color: ${fast_components_1.accentFillRest};
  }

  .link {
    color: ${fast_components_1.foregroundOnAccentRest};
  }
`;
exports.avatarStyles = avatarStyles;
/**
 * A function that returns a {@link @microsoft/fast-foundation#Avatar} registration for configuring the component with a DesignSystem.
 *  {@link @microsoft/fast-foundation#avatarTemplate}
 *
 *
 * @public
 * @remarks
 * Generates HTML Element: `<jp-avatar>`
 */
exports.jpAvatar = fast_components_1.Avatar.compose({
    baseName: 'avatar',
    baseClass: fast_foundation_1.Avatar,
    template: fast_foundation_1.avatarTemplate,
    styles: exports.avatarStyles,
    media: fast_components_1.imgTemplate,
    shadowOptions: {
        delegatesFocus: true
    }
});
//# sourceMappingURL=index.js.map