"use strict";
// Copyright (c) Jupyter Development Team.
// Distributed under the terms of the Modified BSD License.
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const test_1 = require("@playwright/test");
test_1.test('Default', ({ page }) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
    yield page.goto('/iframe.html?id=breadcrumb-item--default');
    test_1.expect(yield page.locator('jp-breadcrumb-item').screenshot()).toMatchSnapshot('breadcrumb-item-default.png');
}));
test_1.test('Without href', ({ page }) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
    yield page.goto('/iframe.html?id=breadcrumb-item--without-href');
    test_1.expect(yield page.locator('jp-breadcrumb-item').screenshot()).toMatchSnapshot('breadcrumb-item-without-href.png');
}));
test_1.test('With Start Icon', ({ page }) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
    yield page.goto('/iframe.html?id=breadcrumb-item--with-start-icon');
    test_1.expect(yield page.locator('jp-breadcrumb-item').screenshot()).toMatchSnapshot('breadcrumb-item-with-start-icon.png');
}));
test_1.test('With End Icon', ({ page }) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
    yield page.goto('/iframe.html?id=breadcrumb-item--with-end-icon');
    test_1.expect(yield page.locator('jp-breadcrumb-item').screenshot()).toMatchSnapshot('breadcrumb-item-with-end-icon.png');
}));
//# sourceMappingURL=breadcrumb-item.test.js.map