"use strict";
// Copyright (c) Jupyter Development Team.
// Copyright (c) Microsoft Corporation.
// Distributed under the terms of the Modified BSD License.
Object.defineProperty(exports, "__esModule", { value: true });
exports.breadcrumbItemStyles = exports.BreadcrumbItem = exports.jpBreadcrumbItem = void 0;
const fast_foundation_1 = require("@microsoft/fast-foundation");
Object.defineProperty(exports, "BreadcrumbItem", { enumerable: true, get: function () { return fast_foundation_1.BreadcrumbItem; } });
const breadcrumb_item_styles_1 = require("./breadcrumb-item.styles");
Object.defineProperty(exports, "breadcrumbItemStyles", { enumerable: true, get: function () { return breadcrumb_item_styles_1.breadcrumbItemStyles; } });
/**
 * A function that returns a BreadcrumbItem registration for configuring the component with a DesignSystem.
 * Implements {@link @microsoft/fast-foundation#breadcrumbItemTemplate}
 *
 *
 * @public
 * @remarks
 * Generates HTML Element: `<jp-breadcrumb-item>`
 */
exports.jpBreadcrumbItem = fast_foundation_1.BreadcrumbItem.compose({
    baseName: 'breadcrumb-item',
    template: fast_foundation_1.breadcrumbItemTemplate,
    styles: breadcrumb_item_styles_1.breadcrumbItemStyles,
    separator: '/',
    shadowOptions: {
        delegatesFocus: true
    }
});
//# sourceMappingURL=index.js.map