"use strict";
// Copyright (c) Jupyter Development Team.
// Distributed under the terms of the Modified BSD License.
Object.defineProperty(exports, "__esModule", { value: true });
exports.checkboxStyles = exports.Checkbox = exports.jpCheckbox = void 0;
const fast_foundation_1 = require("@microsoft/fast-foundation");
Object.defineProperty(exports, "Checkbox", { enumerable: true, get: function () { return fast_foundation_1.Checkbox; } });
const checkbox_styles_1 = require("./checkbox.styles");
Object.defineProperty(exports, "checkboxStyles", { enumerable: true, get: function () { return checkbox_styles_1.checkboxStyles; } });
/**
 * A function that returns a {@link @microsoft/fast-foundation#Checkbox} registration for configuring the component with a DesignSystem.
 * Implements {@link @microsoft/fast-foundation#checkboxTemplate}
 *
 *
 * @public
 * @remarks
 * Generates HTML Element: `<jp-checkbox>`
 */
exports.jpCheckbox = fast_foundation_1.Checkbox.compose({
    baseName: 'checkbox',
    template: fast_foundation_1.checkboxTemplate,
    styles: checkbox_styles_1.checkboxStyles,
    checkedIndicator: `
    <svg
      part="checked-indicator"
      class="checked-indicator"
      viewBox="0 0 20 20"
      xmlns="http://www.w3.org/2000/svg"
    >
      <path
        fill-rule="evenodd"
        clip-rule="evenodd"
        d="M8.143 12.6697L15.235 4.5L16.8 5.90363L8.23812 15.7667L3.80005 11.2556L5.27591 9.7555L8.143 12.6697Z"
      />
    </svg>
    `,
    indeterminateIndicator: `
        <div part="indeterminate-indicator" class="indeterminate-indicator"></div>
    `
});
//# sourceMappingURL=index.js.map