"use strict";
// Copyright (c) Jupyter Development Team.
// Distributed under the terms of the Modified BSD License.
Object.defineProperty(exports, "__esModule", { value: true });
exports.comboboxStyles = exports.jpCombobox = exports.Combobox = void 0;
const tslib_1 = require("tslib");
const fast_element_1 = require("@microsoft/fast-element");
const fast_foundation_1 = require("@microsoft/fast-foundation");
const combobox_styles_1 = require("./combobox.styles");
Object.defineProperty(exports, "comboboxStyles", { enumerable: true, get: function () { return combobox_styles_1.comboboxStyles; } });
/**
 * Base class for Select
 * @public
 */
class Combobox extends fast_foundation_1.Combobox {
}
tslib_1.__decorate([
    fast_element_1.attr({ attribute: 'minimal', mode: 'boolean' })
], Combobox.prototype, "minimal", void 0);
exports.Combobox = Combobox;
/**
 * A function that returns a {@link @microsoft/fast-foundation#Combobox} registration for configuring the component with a DesignSystem.
 * Implements {@link @microsoft/fast-foundation#comboboxTemplate}
 *
 * @public
 * @remarks
 * Generates HTML Element: `<jp-combobox>`
 *
 */
exports.jpCombobox = Combobox.compose({
    baseName: 'combobox',
    baseClass: fast_foundation_1.Combobox,
    template: fast_foundation_1.comboboxTemplate,
    styles: combobox_styles_1.comboboxStyles,
    shadowOptions: {
        delegatesFocus: true
    },
    indicator: `
    <svg
      class="select-indicator"
      part="select-indicator"
      viewBox="0 0 12 7"
      xmlns="http://www.w3.org/2000/svg"
    >
      <path
        d="M11.85.65c.2.2.2.5 0 .7L6.4 6.84a.55.55 0 01-.78 0L.14 1.35a.5.5 0 11.71-.7L6 5.8 11.15.65c.2-.2.5-.2.7 0z"
      />
    </svg>
    `
});
//# sourceMappingURL=index.js.map