"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.progressRingStyles = exports.ProgressRing = exports.jpProgressRing = void 0;
const fast_foundation_1 = require("@microsoft/fast-foundation");
Object.defineProperty(exports, "ProgressRing", { enumerable: true, get: function () { return fast_foundation_1.BaseProgress; } });
const fast_components_1 = require("@microsoft/fast-components");
Object.defineProperty(exports, "progressRingStyles", { enumerable: true, get: function () { return fast_components_1.progressRingStyles; } });
/**
 * A function that returns a {@link @microsoft/fast-foundation#BaseProgress} registration for configuring the component with a DesignSystem.
 * Implements {@link @microsoft/fast-foundation#progressRingTemplate}
 *
 *
 * @public
 * @remarks
 * Generates HTML Element: `<jp-progress-ring>`
 */
exports.jpProgressRing = fast_foundation_1.BaseProgress.compose({
    baseName: 'progress-ring',
    template: fast_foundation_1.progressRingTemplate,
    styles: fast_components_1.progressRingStyles,
    indeterminateIndicator: `
        <svg class="progress" part="progress" viewBox="0 0 16 16">
            <circle
                class="background"
                part="background"
                cx="8px"
                cy="8px"
                r="7px"
            ></circle>
            <circle
                class="indeterminate-indicator-1"
                part="indeterminate-indicator-1"
                cx="8px"
                cy="8px"
                r="7px"
            ></circle>
        </svg>
    `
});
//# sourceMappingURL=index.js.map