"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.progressStyles = exports.Progress = exports.jpProgress = void 0;
const fast_foundation_1 = require("@microsoft/fast-foundation");
Object.defineProperty(exports, "Progress", { enumerable: true, get: function () { return fast_foundation_1.BaseProgress; } });
const fast_components_1 = require("@microsoft/fast-components");
Object.defineProperty(exports, "progressStyles", { enumerable: true, get: function () { return fast_components_1.progressStyles; } });
/**
 * A function that returns a {@link @microsoft/fast-foundation#BaseProgress} registration for configuring the component with a DesignSystem.
 * Implements {@link @microsoft/fast-foundation#progressTemplate}
 *
 *
 * @public
 * @remarks
 * Generates HTML Element: `<jp-progress>`
 */
exports.jpProgress = fast_foundation_1.BaseProgress.compose({
    baseName: 'progress',
    template: fast_foundation_1.progressTemplate,
    styles: fast_components_1.progressStyles,
    indeterminateIndicator1: `
        <span class="indeterminate-indicator-1" part="indeterminate-indicator-1"></span>
    `,
    indeterminateIndicator2: `
        <span class="indeterminate-indicator-2" part="indeterminate-indicator-2"></span>
    `
});
//# sourceMappingURL=index.js.map