"use strict";
// Copyright (c) Jupyter Development Team.
// Distributed under the terms of the Modified BSD License.
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const test_1 = require("@playwright/test");
test_1.test('Default', ({ page }) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
    yield page.goto('/iframe.html?id=search--default');
    test_1.expect(yield page.locator('jp-search').screenshot()).toMatchSnapshot('search-default.png');
}));
test_1.test('With Placeholder', ({ page }) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
    yield page.goto('/iframe.html?id=search--with-placeholder');
    test_1.expect(yield page.locator('jp-search').screenshot()).toMatchSnapshot('search-with-placeholder.png');
}));
test_1.test('With Autofocus', ({ page }) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
    yield page.goto('/iframe.html?id=search--with-autofocus');
    test_1.expect(yield page.locator('jp-search').screenshot()).toMatchSnapshot('search-with-autofocus.png');
}));
test_1.test('With Disabled', ({ page }) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
    yield page.goto('/iframe.html?id=search--with-disabled');
    test_1.expect(yield page.locator('jp-search').screenshot()).toMatchSnapshot('search-with-disabled.png');
}));
test_1.test('With Size', ({ page }) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
    yield page.goto('/iframe.html?id=search--with-size');
    test_1.expect(yield page.locator('jp-search').screenshot()).toMatchSnapshot('search-with-size.png');
}));
test_1.test('With Maxlength', ({ page }) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
    yield page.goto('/iframe.html?id=search--with-max-length');
    test_1.expect(yield page.locator('jp-search').screenshot()).toMatchSnapshot('search-with-maxlength.png');
}));
test_1.test('With Search Icon', ({ page }) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
    yield page.goto('/iframe.html?id=search--with-search-icon');
    test_1.expect(yield page.locator('jp-search').screenshot()).toMatchSnapshot('search-with-search-icon.png');
}));
//# sourceMappingURL=search.test.js.map