"use strict";
// Copyright (c) Jupyter Development Team.
// Distributed under the terms of the Modified BSD License.
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const test_1 = require("@playwright/test");
test_1.test('Default', ({ page }) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
    yield page.goto('/iframe.html?id=select--default');
    test_1.expect(yield page.locator('jp-select').screenshot()).toMatchSnapshot('select-default.png');
}));
test_1.test('WithOpen', ({ page }) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
    yield page.goto('/iframe.html?id=select--with-open');
    test_1.expect(yield page.locator('jp-select').screenshot()).toMatchSnapshot('select-with-open.png');
}));
test_1.test('WithDisabled', ({ page }) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
    yield page.goto('/iframe.html?id=select--with-disabled');
    test_1.expect(yield page.locator('jp-select').screenshot()).toMatchSnapshot('select-with-disabled.png');
}));
test_1.test('WithCustomIndicator', ({ page }) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
    yield page.goto('/iframe.html?id=select--with-custom-indicator');
    test_1.expect(yield page.locator('jp-select').screenshot()).toMatchSnapshot('select-with-custom-indicator.png');
}));
//# sourceMappingURL=select.test.js.map