"use strict";
// Copyright (c) Jupyter Development Team.
// Distributed under the terms of the Modified BSD License.
Object.defineProperty(exports, "__esModule", { value: true });
const tslib_1 = require("tslib");
const test_1 = require("@playwright/test");
test_1.test('Default', ({ page }) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
    yield page.goto('/iframe.html?id=slider--default');
    test_1.expect(yield page.locator('body').screenshot()).toMatchSnapshot('slider-default.png');
}));
test_1.test('Vertical', ({ page }) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
    yield page.goto('/iframe.html?id=slider--vertical');
    test_1.expect(yield page.locator('body').screenshot()).toMatchSnapshot('slider-vertical.png');
}));
test_1.test('With Disabled', ({ browserName, page }) => tslib_1.__awaiter(void 0, void 0, void 0, function* () {
    // FIXME
    test_1.test.skip(browserName === 'webkit', 'Slider thumb animation unstable.');
    yield page.goto('/iframe.html?id=slider--with-disabled');
    test_1.expect(yield page.locator('body').screenshot()).toMatchSnapshot('slider-with-disabled.png');
}));
//# sourceMappingURL=slider.test.js.map