"use strict";
// Copyright (c) Jupyter Development Team.
// Distributed under the terms of the Modified BSD License.
Object.defineProperty(exports, "__esModule", { value: true });
exports.textFieldStyles = exports.TextField = exports.jpTextField = void 0;
const fast_foundation_1 = require("@microsoft/fast-foundation");
const fast_components_1 = require("@microsoft/fast-components");
const text_field_styles_1 = require("./text-field.styles");
Object.defineProperty(exports, "textFieldStyles", { enumerable: true, get: function () { return text_field_styles_1.textFieldStyles; } });
// TODO
//   we need to add error/invalid
/**
 * A function that returns a TextField registration for configuring the component with a DesignSystem.
 *
 *
 * @public
 * @remarks
 * Generates HTML Element: `<jp-text-field>`
 *
 * {@link https://developer.mozilla.org/en-US/docs/Web/API/ShadowRoot/delegatesFocus | delegatesFocus}
 */
exports.jpTextField = fast_components_1.TextField.compose({
    baseName: 'text-field',
    baseClass: fast_foundation_1.TextField,
    template: fast_foundation_1.textFieldTemplate,
    styles: text_field_styles_1.textFieldStyles,
    shadowOptions: {
        delegatesFocus: true
    }
});
var fast_components_2 = require("@microsoft/fast-components");
Object.defineProperty(exports, "TextField", { enumerable: true, get: function () { return fast_components_2.TextField; } });
//# sourceMappingURL=index.js.map